Skip to navigation

Get IP Classes by Provider

View as Markdown

Retrieve IPv4 and IPv6 service profiles available for a provider. Requires the circuits_view authority.

Query parameters

providerIdintegerRequired
Service provider identifier.
organizationIdlongOptionalDefaults to 0

Organization identifier. Use 0 to resolve it from the authenticated user.

typestringOptional
Optional IP class type filter.

Response

IP class catalog retrieved successfully.
ipv4list of objects
ipv6list of objects
ipServiceProviderobject or nullOptional

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error